For the complete documentation index, see llms.txt. This page is also available as Markdown.

Client API Reference

Create a Client

post

Creates a new Client on the Flagstone platform. The only element that is optional is ‘nonUkTaxObligations’ (country field only is mandatory if Client replies “yes” to having non-UK tax obligations)

Authorizations
cdpapi-Subscription-KeystringOptional
Body
externalReferencestringRequired

Unique reference of the Client from Financial Partner

titlestringRequired

Client title. Max length 32 characters.

firstNamestring · max: 64Required

First name of the Client

lastNamestring · max: 64Required

Last name of the Client

dateOfBirthstring · date-timeRequired

Date of birth of the Client (ISO-8601)

addressLine1string · max: 64Required

Line 1 of the current address

addressLine2string · max: 64Required

Line 2 of the current address

addressLine3string · max: 64 · nullableOptional

Line 3 of the current address

citystring · max: 64 · nullableOptional

The city or town of the current address

countystring · nullableOptional

The county of the current address

postCodestring · max: 9Required

The post code of the current address

countryCodestring · min: 3 · max: 3 · nullableRequired

Three-letter Country code of the address (ISO3166)

phoneNumberstring · max: 50Optional

Phone number

ukResidentbooleanOptional

If true, Client is a UK resident

ukDomicilebooleanOptional

If true, Client is UK domicile

emailAddressstringRequired

Client's email address

Responses
200

This response is returned when an identical client is already in our system

application/json
externalReferencestringRequired

Unique reference of the Client from Financial Partner

titlestringRequired

Client title. Max length 32 characters.

firstNamestring · max: 64Required

First name of the Client

lastNamestring · max: 64Required

Last name of the Client

dateOfBirthstring · date-timeRequired

Date of birth of the Client (ISO-8601)

addressLine1string · max: 64Required

Line 1 of the current address

addressLine2string · max: 64Required

Line 2 of the current address

addressLine3string · max: 64 · nullableOptional

Line 3 of the current address

citystring · max: 64 · nullableOptional

The city or town of the current address

countystring · nullableOptional

The county of the current address

postCodestring · max: 9Required

The post code of the current address

countryCodestring · min: 3 · max: 3 · nullableRequired

Three-letter Country code of the address (ISO3166)

phoneNumberstring · max: 50Optional

Phone number

ukResidentbooleanOptional

If true, Client is a UK resident

ukDomicilebooleanOptional

If true, Client is UK domicile

emailAddressstringRequired

Client's email address

post/financial-partner
POST /clients/financial-partner HTTP/1.1
Host: api.sandbox.flagstoneim.com
cdpapi-Subscription-Key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 590

{
  "externalReference": "GSGEHQ342",
  "title": "Mr",
  "firstName": "John",
  "lastName": "Smith",
  "dateOfBirth": "2018-10-01T00:00:00.0000000+00:00",
  "addressLine1": "213 Greenway",
  "addressLine2": "",
  "addressLine3": "",
  "city": "Portsmouth",
  "county": "Hampshire",
  "postCode": "PO122AB",
  "countryCode": "GBR",
  "phoneNumber": "01980123654",
  "ukResident": true,
  "ukDomicile": true,
  "emailAddress": "b@b.com",
  "nonUkTaxObligations": [
    {
      "countryCode": "USA",
      "taxIdentificationNumber": "53464643"
    }
  ],
  "accounts": [
    {
      "accountName": "John Smith",
      "accountNumber": "01233234",
      "sortCode": "326487",
      "bic": "123",
      "iban": "4321",
      "currencyCode": "GBP"
    }
  ]
}
{
  "clientReference": "330825e3-a306-4a0f-b722-a6740ec096e6"
}

Create a company client

post

Creates a new company Client on the Flagstone platform

Authorizations
cdpapi-Subscription-KeystringOptional
Body
externalReferencestringRequired

Unique reference of the Client from Financial Partner

companyNamestring · max: 160Required

Company name of the Client

fscsEligiblebooleanRequired

Is the Client eligible for FSCS protection

fcaNumberstring · max: 7Optional

FCA Authorisation Number of the Client

companyNumberstring · max: 8Optional

Company registration number of the Client

hasEvidenceConfirmingHowMoniesAreHeldbooleanRequired

Are there evidence confirming how monies supplied

doesEntityHaveUnderlyingBeneficiariesWhoMayBeEntitledToFundbooleanRequired

Does entity have underlying beneficiaries who may be entitled to fund

addressLine1string · max: 64Required

Line 1 of the current address

addressLine2string · max: 64Required

Line 2 of the current address

addressLine3string · max: 64 · nullableOptional

Line 3 of the current address

citystring · max: 64 · nullableOptional

The city or town of the current address

countystring · max: 30 · nullableOptional

The county of the current address

postCodestring · max: 9Required

The post code of the current address

countryCodestring · min: 3 · max: 3Required

Three-letter Country code of the address (ISO3166)

phoneNumberstring · max: 50Required

Phone number

emailAddressstring · max: 256Required

Client's email address

Responses
201

Created

application/json
clientReferencestringOptional
post/financial-partner/company
POST /clients/financial-partner/company HTTP/1.1
Host: api.sandbox.flagstoneim.com
cdpapi-Subscription-Key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 608

{
  "externalReference": "71d1fd54-0baa-4356-8637-0eea33675123",
  "addressLine1": "213 Greenway",
  "addressLine2": "",
  "addressLine3": "",
  "city": "Portsmouth",
  "county": "Hampshire",
  "postCode": "PO122AB",
  "countryCode": "GBR",
  "phoneNumber": "01980123654",
  "emailAddress": "js@abc.com",
  "companyName": "ABC Limited",
  "fscsEligible": true,
  "fcaNumber": "326487",
  "companyNumber": "1234567",
  "hasEvidenceConfirmingHowMoniesAreHeld": true,
  "doesEntityHaveUnderlyingBeneficiariesWhoMayBeEntitledToFund": true,
  "accounts": [
    {
      "accountName": "ABC Limited",
      "accountNumber": "01233234",
      "sortCode": "326487",
      "bic": "123",
      "iban": "4321",
      "currencyCode": "GBP"
    }
  ]
}
{
  "clientReference": "234256265"
}

Get a Client by Reference

get

Returns a Client

Authorizations
cdpapi-Subscription-KeystringOptional
Path parameters
clientReferencestringRequired
Responses
200

The Client is returned

application/json
clientReferencestringOptional

A unique reference to a client provided by external system. Returned via Create Client API and used for Update

clientVersioninteger · int32Optional

Version number of the client

titlestring · nullableOptional

Client title.

firstNamestring · nullableOptional

First name of the Client

lastNamestring · nullableOptional

Last name of the Client

dateOfBirthstring · date-timeOptional

Date of birth of the Client (ISO-8601)

addressLine1string · nullableOptional

Line 1 of the current address

addressLine2string · nullableOptional

Line 2 of the current address

addressLine3string · nullableOptional

Line 3 of the current address

citystring · nullableOptional

The city or town of the current address

countystring · nullableOptional

The county of the current address

postCodestring · nullableOptional

The post code of the current address

countryCodestring · min: 3 · max: 3 · nullableOptional

Three-letter Country code of the address (ISO3166)

phoneNumberstring · nullableOptional

Phone number

ukResidentbooleanOptional

If true, Client is a UK resident

ukDomicilebooleanOptional

If true, Client is UK domicile

emailAddressstringOptional

Client's email address

get/{clientReference}
GET /clients/{clientReference} HTTP/1.1
Host: api.sandbox.flagstoneim.com
cdpapi-Subscription-Key: YOUR_API_KEY
Accept: */*
{
  "clientReference": "1231455",
  "clientVersion": 3,
  "firstName": "John",
  "lastName": "Smith",
  "dateOfBirth": "1970-10-21T00:00:00.0000000+00:00",
  "addressLine1": "213 Greenway",
  "addressLine2": "",
  "addressLine3": "",
  "city": "Portsmouth",
  "county": "Hampshire",
  "postCode": "PO122AB",
  "countryCode": "GBR",
  "phoneNumber": "01980123654",
  "ukResident": true,
  "ukDomicile": true,
  "accountName": "John Smith",
  "accountNumber": "01233234",
  "sortCode": "326487",
  "documents": [
    {
      "documentUri": "http://anExampleLink/2",
      "documentType": "driving-license"
    },
    {
      "documentUri": "http://anExampleLink/4",
      "documentType": "passport"
    }
  ],
  "nonUkTaxObligation": [
    {
      "countryCode": "USA",
      "taxIdentificationNumber": "53464643"
    }
  ]
}

Get a company client

get

Get a company client by client reference for financial partner

Authorizations
cdpapi-Subscription-KeystringOptional
Path parameters
clientReferencestringRequired

Unique reference of the client

Responses
200

OK

application/json
clientReferencestringOptional

A unique reference to a client provided by external system. Returned via Create Client API and used for Update

clientVersioninteger · int32Optional

Version number of the client

companyNamestring · max: 160Optional

Company name of the Client

fscsEligiblebooleanOptional

Is the Client eligible for FSCS protection

fcaNumberstring · max: 7 · nullableOptional

FCA Authorisation Number of the Client

companyNumberstring · max: 8 · nullableOptional

Company registration number of the Client

hasEvidenceConfirmingHowMoniesAreHeldbooleanOptional

Are there evidence confirming how monies supplied

doesEntityHaveUnderlyingBeneficiariesWhoMayBeEntitledToFundbooleanOptional

Does entity have underlying beneficiaries who may be entitled to fund

addressLine1string · max: 64Optional

Line 1 of the current address

addressLine2string · max: 64Optional

Line 2 of the current address

addressLine3string · max: 64 · nullableOptional

Line 3 of the current address

citystring · max: 64 · nullableOptional

The city or town of the current address

countystring · max: 30 · nullableOptional

The county of the current address

postCodestring · max: 9Optional

The post code of the current address

countryCodestring · min: 3 · max: 3Optional

Three-letter Country code of the address (ISO3166)

phoneNumberstring · max: 50Optional

Phone number

emailAddressstring · max: 256Optional

Client's email address

get/financial-partner/company/{clientReference}
GET /clients/financial-partner/company/{clientReference} HTTP/1.1
Host: api.sandbox.flagstoneim.com
cdpapi-Subscription-Key: YOUR_API_KEY
Accept: */*
{
  "clientReference": "71d1fd54-0baa-4356-8637-0eea33675123",
  "clientVersion": 2,
  "addressLine1": "213 Greenway",
  "addressLine2": "",
  "addressLine3": "",
  "city": "Portsmouth",
  "county": "Hampshire",
  "postCode": "PO122AB",
  "countryCode": "GBR",
  "phoneNumber": "01980123654",
  "emailAddress": "js@abc.com",
  "companyName": "ABC Limited",
  "fscsEligible": true,
  "fcaNumber": "326487",
  "companyNumber": "1234567",
  "hasEvidenceConfirmingHowMoniesAreHeld": true,
  "doesEntityHaveUnderlyingBeneficiariesWhoMayBeEntitledToFund": true,
  "accounts": [
    {
      "accountName": "ABC Limited",
      "accountNumber": "01233234",
      "sortCode": "326487",
      "bic": "123",
      "iban": "4321",
      "currencyCode": "GBP"
    }
  ]
}

Update a Client

patch

Update the details of a client

Authorizations
cdpapi-Subscription-KeystringOptional
Path parameters
clientReferencestringRequired
clientVersionstringRequired
Body
titlestring · nullableRequired

Client title. Max length 32 characters.

firstNamestring · nullableRequired

First name of the Client

lastNamestring · nullableRequired

Last name of the Client

dateOfBirthstring · date-timeRequired

Date of birth of the Client (ISO-8601)

addressLine1string · nullableRequired

Line 1 of the current address

addressLine2string · nullableRequired

Line 2 of the current address

addressLine3string · nullableOptional

Line 3 of the current address

citystring · nullableOptional

The city or town of the current address

countystring · nullableOptional

The county of the current address

postCodestring · max: 9 · nullableRequired

The post code of the current address

countryCodestring · min: 3 · max: 3 · nullableRequired

Three-letter Country code of the address (ISO3166)

phoneNumberstring · max: 50 · nullableOptional

Phone number

ukResidentbooleanOptional

If true, Client is a UK resident

ukDomicilebooleanOptional

If true, Client is UK domicile

emailAddressstring · max: 256Required

Client's email address (Max Length 256)

Responses
204

Client update successful

No content

patch/{clientReference}/{clientVersion}
PATCH /clients/{clientReference}/{clientVersion} HTTP/1.1
Host: api.sandbox.flagstoneim.com
cdpapi-Subscription-Key: YOUR_API_KEY
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 457

{
  "firstName": "John",
  "lastName": "Smith",
  "dateOfBirth": "2018-10-01T00:00:00.0000000+00:00",
  "addressLine1": "213 Greenway",
  "addressLine2": "",
  "addressLine3": "",
  "city": "Portsmouth",
  "county": "Hampshire",
  "postCode": "PO122AB",
  "countryCode": "GBR",
  "phoneNumber": "01980123654",
  "ukResident": true,
  "ukDomicile": true,
  "accountName": "John Smith",
  "accountNumber": "01233234",
  "sortCode": "326487",
  "nonUkTaxObligation": [
    {
      "countryCode": "USA",
      "taxIdentificationNumber": "53464643"
    }
  ]
}

No content

Update a company client

patch

Update detials of a company client

Authorizations
cdpapi-Subscription-KeystringOptional
Path parameters
clientReferencestringRequired

Unique reference of the client

clientVersionintRequired

version number of the client

Body
companyNamestring · max: 160Required

Company name of the Client

fscsEligiblebooleanRequired

Is the Client eligible for FSCS protection

fcaNumberstring · max: 7 · nullableOptional

FCA Authorisation Number of the Client

companyNumberstring · max: 8 · nullableOptional

Company registration number of the Client

hasEvidenceConfirmingHowMoniesAreHeldboolean · nullableOptional

Are there evidence confirming how monies supplied

doesEntityHaveUnderlyingBeneficiariesWhoMayBeEntitledToFundbooleanOptional

Does entity have underlying beneficiaries who may be entitled to fund

addressLine1string · max: 64Required

Line 1 of the current address

addressLine2string · max: 64Required

Line 2 of the current address

addressLine3string · max: 64 · nullableOptional

Line 3 of the current address

citystring · max: 64 · nullableOptional

The city or town of the current address

countystring · max: 30 · nullableOptional

The county of the current address

postCodestring · max: 9Required

The post code of the current address

countryCodestring · min: 3 · max: 3Required

Three-letter Country code of the address (ISO3166)

phoneNumberstring · max: 50Required

Phone number

emailAddressstring · max: 256Required

Client's email address

Responses
204Success

No content

patch/financial-partner/company/{clientReference}/{clientVersion}
PATCH /clients/financial-partner/company/{clientReference}/{clientVersion} HTTP/1.1
Host: api.sandbox.flagstoneim.com
cdpapi-Subscription-Key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 549

{
  "addressLine1": "213 Greenway",
  "addressLine2": "",
  "addressLine3": "",
  "city": "Portsmouth",
  "county": "Hampshire",
  "postCode": "PO122AB",
  "countryCode": "GBR",
  "phoneNumber": "01980123654",
  "emailAddress": "js@abc.com",
  "companyName": "ABC Limited",
  "fscsEligible": true,
  "fcaNumber": "326487",
  "companyNumber": "1234567",
  "hasEvidenceConfirmingHowMoniesAreHeld": true,
  "doesEntityHaveUnderlyingBeneficiariesWhoMayBeEntitledToFund": true,
  "accounts": [
    {
      "accountName": "ABC Limited",
      "accountNumber": "01233234",
      "sortCode": "326487",
      "bic": "123",
      "iban": "4321",
      "currencyCode": "GBP"
    }
  ]
}

No content

Last updated